<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td>
        {{ unit_of_measure.code }}
    </td>
    <td>{{ unit_of_measure.base_qty }}</td>
    <td>{{ unit_of_measure.base_unit }}</td>
    <td>{{ unit_of_measure.equal_qty }}</td>
    <td>{{ unit_of_measure.equal_unit }}</td>
    <td class="text-center action">
        <a class="btn btn-white btn-xs" @click="del( unit_of_measure.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </a>
        <a class="btn btn-white btn-xs" 
                @click="edit( unit_of_measure )"> 
            <i class="fa fa-pencil" ></i>&nbsp;&nbsp;Edit&nbsp;&nbsp;&nbsp;
        </a>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'unit_of_measure',
        'row'
    ],
    methods: {
        edit( row_data ) {
            this.$emit('edit', row_data)
        },
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

<style scoped>
    .action {
        padding-bottom: -50px;
    }
</style>


